import datetime as dt
from enum import Enum
from typing import Optional


class MovementType(Enum):
    IN = 0
    OUT = 1

class MemberMovement:
    member: Optional[str]
    initiator: str
    movementType: MovementType
    date_time: dt.datetime
    estimated: bool

    def __init__(self, member: Optional[str], initiator: str, movementType: MovementType, date_time: dt.datetime, estimated: bool = False):
        self.member = member
        self.initiator = initiator
        self.movementType = movementType
        self.date_time = date_time
        self.estimated = estimated
